<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFDataValidation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFDataValidation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFDataValidation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataFormat.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFDataValidation.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFDataValidation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFDataValidation" class="title">Class XSSFDataValidation</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFDataValidation</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                           title="interface in org.apache.poi.ss.usermodel">DataValidation</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFDataValidation</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
              title="interface in org.apache.poi.ss.usermodel">DataValidation</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd><a href="rjankiraman@emptoris.com">Radhakrishnan J</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.DataValidation">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidation</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.ErrorStyle.html"
                                        title="class in org.apache.poi.ss.usermodel">DataValidation.ErrorStyle</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#XSSFDataValidation-org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation-">XSSFDataValidation</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataValidationConstraint</a>&nbsp;constraint,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;regions,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation&nbsp;ctDataValidation)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#createErrorBox-java.lang.String-java.lang.String-">createErrorBox</a></span>(java.lang.String&nbsp;title,
                                    java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets the title and text for the error box .</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#createPromptBox-java.lang.String-java.lang.String-">createPromptBox</a></span>(java.lang.String&nbsp;title,
                                    java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets the title and text for the prompt box .</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getEmptyCellAllowed--">getEmptyCellAllowed</a></span>()</code>
                                    <div class="block">Retrieve the settings for empty cells allowed</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getErrorBoxText--">getErrorBoxText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getErrorBoxTitle--">getErrorBoxTitle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getErrorStyle--">getErrorStyle</a></span>()</code>
                                    <div class="block">o</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getPromptBoxText--">getPromptBoxText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getPromptBoxTitle--">getPromptBoxTitle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getRegions--">getRegions</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getShowErrorBox--">getShowErrorBox</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getShowPromptBox--">getShowPromptBox</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getSuppressDropDownArrow--">getSuppressDropDownArrow</a></span>()</code>
                                    <div class="block">Useful only list validation objects .</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getValidationConstraint--">getValidationConstraint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#prettyPrint--">prettyPrint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#setEmptyCellAllowed-boolean-">setEmptyCellAllowed</a></span>(boolean&nbsp;allowed)</code>
                                    <div class="block">Sets if this object allows empty as a valid value</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#setErrorStyle-int-">setErrorStyle</a></span>(int&nbsp;errorStyle)</code>
                                    <div class="block">Sets the error style for error box</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#setShowErrorBox-boolean-">setShowErrorBox</a></span>(boolean&nbsp;show)</code>
                                    <div class="block">Sets the behaviour when an invalid value is entered</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#setShowPromptBox-boolean-">setShowPromptBox</a></span>(boolean&nbsp;show)</code>
                                    <div class="block">Sets the behaviour when a cell which belongs to this object is
                                        selected
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#setSuppressDropDownArrow-boolean-">setSuppressDropDownArrow</a></span>(boolean&nbsp;suppress)</code>
                                    <div class="block">Useful for list validation objects .</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFDataValidation-org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFDataValidation</h4>
                                <pre>public&nbsp;XSSFDataValidation(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataValidationConstraint</a>&nbsp;constraint,
                          <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                             title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;regions,
                          org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDataValidation&nbsp;ctDataValidation)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createErrorBox-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createErrorBox</h4>
                                <pre>public&nbsp;void&nbsp;createErrorBox(java.lang.String&nbsp;title,
                           java.lang.String&nbsp;text)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#createErrorBox-java.lang.String-java.lang.String-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets the title and text for the error box . Error box is displayed
                                    when
                                    the user enters an invalid value int o a cell which belongs to this
                                    validation object . In order for an error box to be displayed you should
                                    also use method setShowErrorBox( boolean show )
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#createErrorBox-java.lang.String-java.lang.String-">createErrorBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>title</code> - The error box's title</dd>
                                    <dd><code>text</code> - The error box's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPromptBox-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPromptBox</h4>
                                <pre>public&nbsp;void&nbsp;createPromptBox(java.lang.String&nbsp;title,
                            java.lang.String&nbsp;text)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#createPromptBox-java.lang.String-java.lang.String-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets the title and text for the prompt box . Prompt box is displayed
                                    when
                                    the user selects a cell which belongs to this validation object . In
                                    order for a prompt box to be displayed you should also use method
                                    setShowPromptBox( boolean show )
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#createPromptBox-java.lang.String-java.lang.String-">createPromptBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>title</code> - The prompt box's title</dd>
                                    <dd><code>text</code> - The prompt box's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmptyCellAllowed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmptyCellAllowed</h4>
                                <pre>public&nbsp;boolean&nbsp;getEmptyCellAllowed()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getEmptyCellAllowed--">DataValidation</a></code></span>
                                </div>
                                <div class="block">Retrieve the settings for empty cells allowed</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getEmptyCellAllowed--">getEmptyCellAllowed</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if this object should treats empty as valid value , false
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getErrorBoxText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getErrorBoxText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getErrorBoxText()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getErrorBoxText--">getErrorBoxText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Error box's text or <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getErrorBoxTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getErrorBoxTitle</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getErrorBoxTitle()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getErrorBoxTitle--">getErrorBoxTitle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Error box's title or <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getErrorStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getErrorStyle</h4>
                                <pre>public&nbsp;int&nbsp;getErrorStyle()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getErrorStyle--">DataValidation</a></code></span>
                                </div>
                                <div class="block">o</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getErrorStyle--">getErrorStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the error style of error box</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidation.ErrorStyle.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidation.ErrorStyle</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPromptBoxText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPromptBoxText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getPromptBoxText()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getPromptBoxText--">getPromptBoxText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Prompt box's text or <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPromptBoxTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPromptBoxTitle</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getPromptBoxTitle()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getPromptBoxTitle--">getPromptBoxTitle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Prompt box's title or <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShowErrorBox--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShowErrorBox</h4>
                                <pre>public&nbsp;boolean&nbsp;getShowErrorBox()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getShowErrorBox--">getShowErrorBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if an error box should be displayed , <code>false</code>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShowPromptBox--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShowPromptBox</h4>
                                <pre>public&nbsp;boolean&nbsp;getShowPromptBox()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getShowPromptBox--">getShowPromptBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if an prompt box should be displayed , <code>false</code>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSuppressDropDownArrow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSuppressDropDownArrow</h4>
                                <pre>public&nbsp;boolean&nbsp;getSuppressDropDownArrow()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getSuppressDropDownArrow--">DataValidation</a></code></span>
                                </div>
                                <div class="block">Useful only list validation objects . This method always returns
                                    false if
                                    the object isn't a list validation object
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getSuppressDropDownArrow--">getSuppressDropDownArrow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if a list should display the values into a drop down list ,
                                        <code>false</code> otherwise .
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValidationConstraint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValidationConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;getValidationConstraint()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getValidationConstraint--">getValidationConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEmptyCellAllowed-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEmptyCellAllowed</h4>
                                <pre>public&nbsp;void&nbsp;setEmptyCellAllowed(boolean&nbsp;allowed)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setEmptyCellAllowed-boolean-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets if this object allows empty as a valid value</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setEmptyCellAllowed-boolean-">setEmptyCellAllowed</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>allowed</code> - <code>true</code> if this object should treats empty as
                                        valid value , <code>false</code>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setErrorStyle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setErrorStyle</h4>
                                <pre>public&nbsp;void&nbsp;setErrorStyle(int&nbsp;errorStyle)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setErrorStyle-int-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets the error style for error box</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setErrorStyle-int-">setErrorStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidation.ErrorStyle.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidation.ErrorStyle</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShowErrorBox-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShowErrorBox</h4>
                                <pre>public&nbsp;void&nbsp;setShowErrorBox(boolean&nbsp;show)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setShowErrorBox-boolean-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets the behaviour when an invalid value is entered</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setShowErrorBox-boolean-">setShowErrorBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>show</code> - <code>true</code> if an error box should be displayed ,
                                        <code>false</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShowPromptBox-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShowPromptBox</h4>
                                <pre>public&nbsp;void&nbsp;setShowPromptBox(boolean&nbsp;show)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setShowPromptBox-boolean-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Sets the behaviour when a cell which belongs to this object is
                                    selected
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setShowPromptBox-boolean-">setShowPromptBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>show</code> - <code>true</code> if an prompt box should be displayed ,
                                        <code>false</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSuppressDropDownArrow-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSuppressDropDownArrow</h4>
                                <pre>public&nbsp;void&nbsp;setSuppressDropDownArrow(boolean&nbsp;suppress)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setSuppressDropDownArrow-boolean-">DataValidation</a></code></span>
                                </div>
                                <div class="block">Useful for list validation objects .</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#setSuppressDropDownArrow-boolean-">setSuppressDropDownArrow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>suppress</code> - True if a list should display the values into a drop
                                        down list ,
                                        false otherwise . In other words , if a list should display
                                        the arrow sign on its right side
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRegions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRegions</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;getRegions()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getRegions--">getRegions</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="prettyPrint--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>prettyPrint</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;prettyPrint()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFDataValidation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataFormat.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFDataValidation.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFDataValidation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
